declare const _default: __VLS_WithSlots<import("vue").DefineComponent<{
    navTitle: string;
    showHeader: boolean;
}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    handleBack: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<{
    navTitle: string;
    showHeader: boolean;
}> & Readonly<{
    onHandleBack?: ((...args: any[]) => any) | undefined;
}>, {
    showHeader: boolean;
    navTitle: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>, {
    right?: ((props: {}) => any) | undefined;
}>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
